#ifndef INSTALLERGUI_PROTOS_H
#define INSTALLERGUI_PROTOS_H

/*
**  $VER: installergui_protos.h 38.0 (30.09.99)
**  (C) by Jens Trger
**
*/

// initialisation and removal of the gui-base
APTR   __asm igui_InitApp(register __a0 char **texts, register __a1 char *title, register __a2 ULONG *globalenv);
void   __asm igui_FreeApp(register __a0 APTR app);

// information about the gui
char * __asm igui_GetGUIInfo(void);

// different tools functions
void   __asm igui_ClearError(register __a0 APTR app);
void   __asm igui_ClearGUIEvent(register __a0 APTR app);
void   __asm igui_DisableCancel(register __a0 APTR app, register __d0 BOOL state);
void   __asm igui_DisableProceed(register __a0 APTR app, register __d0 BOOL state);
void   __asm igui_EmptyPanel(register __a0 APTR app);
long   __asm igui_GetGUIEvent(register __a0 APTR app);
void   __asm igui_NameCancel(register __a0 APTR app, register __a1 char *text);
void   __asm igui_NameProceed(register __a0 APTR app, register __a1 char *text);
void   __asm igui_WaitApp(register __a0 APTR app);
long   __asm igui_QuietWaitApp(register __a0 APTR app);
long   __asm igui_Request(register __a0 APTR app, register __a1 char *title, register __a2 char *gads, register __d0 char *body, register __d1 APTR args);
void   __asm igui_SetHelp(register __a0 APTR app, register __a1 char *text);
BOOL   __asm igui_QuitApp(register __a0 APTR app);
BOOL   __asm igui_TRAP_Mode(register __a0 APTR app, register __d0 BOOL mode);
BOOL   __asm igui_SWING_Mode(register __a0 APTR app, register __d0 BOOL mode);
void   __asm igui_SetParseGauge(register __a0 APTR app, register __d0 long value);
long   __asm igui_Error(register __a0 APTR app);
char * __asm igui_GetScreenName(register __a0 APTR app);

// function gui
long   __asm igui_AskBool(register __a0 APTR app, register __a1 struct FunctionEnvironment *localenv);
long   __asm igui_AskChoice(register __a0 APTR app, register __a1 struct FunctionEnvironment *localenv);
void   __asm igui_AskDisk(register __a0 APTR app, register __a1 struct FunctionEnvironment *localenv);
char * __asm igui_AskDir(register __a0 APTR app, register __a1 struct FunctionEnvironment *localenv);
char * __asm igui_AskFile(register __a0 APTR app, register __a1 struct FunctionEnvironment *localenv);
long   __asm igui_AskNumber(register __a0 APTR app, register __a1 struct FunctionEnvironment *localenv);
long   __asm igui_AskOptions(register __a0 APTR app, register __a1 struct FunctionEnvironment *localenv);
char * __asm igui_AskString(register __a0 APTR app, register __a1 struct FunctionEnvironment *localenv);
void   __asm igui_Bye(register __a0 APTR app, register __a1 char *appname, register __a2 char *defaultdest);
void   __asm igui_CloseCopyGauge(register __a0 APTR app);
void   __asm igui_Complete(register __a0 APTR app, register __d0 long value);
long   __asm igui_Confirm(register __a0 APTR app, register __a1 struct FunctionEnvironment *localenv);
long   __asm igui_CopyConfirm(register __a0 APTR app, register __a1 struct FunctionEnvironment *localenv);
long   __asm igui_CopylibConfirm(register __a0 APTR app, register __a1 struct FunctionEnvironment *localenv, register __d0 long srcver, register __d1 long destver);
void   __asm igui_Effect(register __a0 APTR app, register __d0 BOOL customscreen, register __d1 long position, register __d2 long effect, register __d3 long color1, register __d4 long color2);
char * __asm igui_Message(register __a0 APTR app, register __a1 struct FunctionEnvironment *localenv, register __a2 char *text);
long   __asm igui_QueryDisplay(register __a0 APTR app, register __d0 long object, register __d1 long attribute);
void   __asm igui_SetCopyGauge(register __a0 APTR app, register __a1 char *srcfile, register __a2 char *destfile, register __d0 long done);
long   __asm igui_StartupConfirm(register __a0 APTR app, register __a1 struct FunctionEnvironment *localenv);
void   __asm igui_Welcome(register __a0 APTR app, register __a1 char *text);
void   __asm igui_Working(register __a0 APTR app, register __a1 char *text);

// these functions support the creation/handling/disposing of a file-list
APTR   __asm igui_CreateFileList(register __a0 APTR app, register __a1 char *dir, register __a2 struct FunctionEnvironment *localenv);
char * __asm igui_GetNextEntry(register __a0 APTR app);
void   __asm igui_DisposeFileList(register __a0 APTR app);

#endif
